respond_to_without_attributes? does not work from runner

2010-11-16 20:20 - Bart Vanbrabant

Status: Closed Start date: 2010-11-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

If have written a script that is executed with the ruby on rails runner. This script requires all repositories (which can be hg, svn or git in

my setup). When a iterate over all repositories it gives an exception on the first git repository. This occurs because

respond_to_without_attributes? is not defined on git instances. This only occurs in the runner, not in the a plugin.

I can work around this by wrapping lines 1652 to 1660 with

if object.respond_to? :respond_to_without_attributes?

 The side-effect of this workaround is that the type of the git repository objects is not Repository::Git such as Repository::Mercurial but

just Git.

History

#1 - 2010-11-16 20:24 - Bart Vanbrabant

Sorry. The version is 1.0.2 and this file I mentioned is vendor/rails/activerecord/lib/active_record/base.rb

#2 - 2024-09-19 15:14 - Holger Just

- Status changed from New to Closed

- Resolution set to Cant reproduce

Iterating over all defined repositories appears to work fine when starting a console (or runner).

If you still experience this error, please provide more details which allow us to reproduce this with a current version of Redmine.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 1/1

http://www.tcpdf.org

